/*
Пример использования
Ресурс позволяет:
1. Создавать группу доступа
2. Изменять группу доступа
3. Удалять группу доступа
*/

#Расскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером
/*
terraform {
  required_providers {
    decort = {
      source  = "basis/decort/decort"
      version = "<VERSION>"
    }
  }
}
*/

provider "decort" {
  authenticator        = "decs3o"
  #controller_url = <DECORT_CONTROLLER_URL>
  controller_url       = "https://ds1.digitalenergy.online"
  #oauth2_url = <DECORT_SSO_URL>
  oauth2_url           = "https://sso.digitalenergy.online"
  allow_unverified_ssl = true
}


resource "decort_sdn_access_group" "name" {
   #название группы
   #обязательный параметр
   #тип - строка
   #используется при создании и обновлении     
   display_name = "name"

   #описание (комментарий) к группе
   #обязательный параметр
   #тип - строка
   #используется при создании и обновлении      
   comment = "comment"

   #управление пользователями, входящими в группу
   #опциональный параметр
   #тип - блок
   #используется при создании и обновлении
   #users {
       #id назначаемой роли 
       #обязательный параметр 
       #тип - строка    
       #access_group_role_id = "a1b2c3d4-e5f6-7890-g1h2-i3j4k5l6m7n8"

       #id пользователя 
       #обязательный параметр 
       #тип - строка 
       #user_id = "jkf-jfi-456fn5-kks"
    #}

   #определение политик безопасности по умолчанию
   #опциональный параметр
   #может быть один или ни одного
   #тип - блок
   #используется при создании и обновлении ресурса
   #default_security_policy {
      #начальные права доступа
      #опциональный параметр
      #тип - строка
      #используется при создании и обновлении          
      #default_acl_drop = "default_acl_drop"

     #флаг сброса открытых сессий
     #опциональный параметр 
     #тип - булев 
     #используется при создании и обновлении         
     #default_open_session_drop = true
  #}
}

